> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# globalSearch

> Search across tasks, projects, workspaces, comments, and activities



## OpenAPI

````yaml GET /search
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /search:
    get:
      tags:
        - Search
      summary: Global Search
      description: Search across tasks, projects, workspaces, comments, and activities
      operationId: globalSearch
      parameters:
        - in: query
          name: q
          schema:
            type: string
            minLength: 1
          required: true
        - in: query
          name: type
          schema:
            enum:
              - all
              - tasks
              - projects
              - workspaces
              - comments
              - activities
            default: all
            type: string
        - in: query
          name: workspaceId
          schema:
            type: string
        - in: query
          name: projectId
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: string
            minimum: 1
            maximum: 50
            default: '20'
        - in: query
          name: userEmail
          schema:
            type: string
            format: email
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                type: object
                properties:
                  tasks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        projectId:
                          type: string
                        position:
                          type: number
                          nullable: true
                        number:
                          type: number
                          nullable: true
                        userId:
                          type: string
                          nullable: true
                        title:
                          type: string
                        description:
                          type: string
                          nullable: true
                        status:
                          type: string
                        priority:
                          enum:
                            - no-priority
                            - low
                            - medium
                            - high
                            - urgent
                          type: string
                        startDate:
                          type: string
                          format: date-time
                        dueDate:
                          type: string
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - projectId
                        - position
                        - number
                        - userId
                        - title
                        - description
                        - status
                        - priority
                        - createdAt
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        workspaceId:
                          type: string
                        slug:
                          type: string
                        icon:
                          type: string
                          nullable: true
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        isPublic:
                          type: boolean
                          nullable: true
                        archivedAt:
                          nullable: true
                      required:
                        - id
                        - workspaceId
                        - slug
                        - icon
                        - name
                        - description
                        - createdAt
                        - isPublic
                        - archivedAt
                  workspaces:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        slug:
                          type: string
                        logo:
                          type: string
                          nullable: true
                        metadata:
                          type: string
                          nullable: true
                        description:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - name
                        - slug
                        - logo
                        - metadata
                        - description
                        - createdAt
                  comments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        taskId:
                          type: string
                        type:
                          enum:
                            - comment
                            - task
                            - status_changed
                            - priority_changed
                            - unassigned
                            - assignee_changed
                            - due_date_changed
                            - title_changed
                            - description_changed
                            - create
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        userId:
                          type: string
                          nullable: true
                        content:
                          type: string
                          nullable: true
                        eventData:
                          type: object
                          additionalProperties: true
                          nullable: true
                        externalUserName:
                          type: string
                          nullable: true
                        externalUserAvatar:
                          type: string
                          nullable: true
                        externalSource:
                          type: string
                          nullable: true
                        externalUrl:
                          type: string
                          nullable: true
                      required:
                        - id
                        - taskId
                        - type
                        - createdAt
                        - userId
                        - content
                        - eventData
                        - externalUserName
                        - externalUserAvatar
                        - externalSource
                        - externalUrl
                  activities:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        taskId:
                          type: string
                        type:
                          enum:
                            - comment
                            - task
                            - status_changed
                            - priority_changed
                            - unassigned
                            - assignee_changed
                            - due_date_changed
                            - title_changed
                            - description_changed
                            - create
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        userId:
                          type: string
                          nullable: true
                        content:
                          type: string
                          nullable: true
                        eventData:
                          type: object
                          additionalProperties: true
                          nullable: true
                        externalUserName:
                          type: string
                          nullable: true
                        externalUserAvatar:
                          type: string
                          nullable: true
                        externalSource:
                          type: string
                          nullable: true
                        externalUrl:
                          type: string
                          nullable: true
                      required:
                        - id
                        - taskId
                        - type
                        - createdAt
                        - userId
                        - content
                        - eventData
                        - externalUserName
                        - externalUserAvatar
                        - externalSource
                        - externalUrl
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````